#ifndef DZ1_FILE_H
#define DZ1_FILE_H

#include <map>
#include "Account.h"

class File {
private:
    std::map<size_t, Account> accounts_map;
    size_t s;
    void load_in();
    void load_out();
public:
    File();
    ~File();
    void add_account(Account& p);
    bool search_account(const Account& p);
    bool search_account_number(int p);
    bool search_account_code(int p);
    bool search_account_surname(const std::string& p);
    bool delete_account(const Account& p);
    bool change_account(const Account& p1, const Account& p2);
    void load_out_txt();
    void in_place_replace(int ind,  const Account& acc, const std::string& fname);
};


#endif //DZ1_FILE_H
